apiVersion: kops.k8s.io/v1alpha2
kind: Cluster
metadata:
  creationTimestamp: "2022-11-01T05:36:36Z"
  generation: 5
  name: k8s-prod.datasaker.io
spec:
  api:
    loadBalancer:
      class: Network
      type: Public
  authorization:
    rbac: {}
  channel: stable
  cloudProvider: aws
  configBase: s3://clusters.prod.datasaker.io/k8s-prod.datasaker.io
  containerRuntime: containerd
  etcdClusters:
  - cpuRequest: 200m
    etcdMembers:
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2a
      name: a
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2b
      name: b
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2c
      name: c
    memoryRequest: 100Mi
    name: main
  - cpuRequest: 100m
    etcdMembers:
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2a
      name: a
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2b
      name: b
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2c
      name: c
    memoryRequest: 100Mi
    name: events
  iam:
    allowContainerRegistry: true
    legacy: false
  kubelet:
    anonymousAuth: false
  kubernetesApiAccess:
  - 0.0.0.0/0
  - ::/0
  kubernetesVersion: 1.25.2
  masterInternalName: api.internal.k8s-prod.datasaker.io
  masterPublicName: api.k8s-prod.datasaker.io
  networkCIDR: 172.24.0.0/19
  networkID: vpc-00ba2b0e9ad59f0ed
  networking:
    calico: {}
  nonMasqueradeCIDR: 100.64.0.0/10
  sshAccess:
  - 0.0.0.0/0
  - ::/0
  subnets:
  - cidr: 172.24.8.0/23
    id: subnet-024f0deda82039fa4
    name: ap-northeast-2a
    type: Private
    zone: ap-northeast-2a
  - cidr: 172.24.10.0/23
    id: subnet-050d942fa1c46540a
    name: ap-northeast-2b
    type: Private
    zone: ap-northeast-2b
  - cidr: 172.24.12.0/23
    id: subnet-0946eb806af7377be
    name: ap-northeast-2c
    type: Private
    zone: ap-northeast-2c
  - cidr: 172.24.0.0/24
    id: subnet-00c363356f133411d
    name: utility-ap-northeast-2a
    type: Utility
    zone: ap-northeast-2a
  - cidr: 172.24.1.0/24
    id: subnet-07aa5e879a262014d
    name: utility-ap-northeast-2b
    type: Utility
    zone: ap-northeast-2b
  - cidr: 172.24.2.0/24
    id: subnet-0073a61bc56a68a3e
    name: utility-ap-northeast-2c
    type: Utility
    zone: ap-northeast-2c
  topology:
    dns:
      type: Public
    masters: private
    nodes: private

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:50:52Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-a
spec:
  image: ami-0409b7ddbc59e3222
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: k8s-prod-data-druid-a
  role: Node
  subnets:
  - ap-northeast-2a
  taints:
  - prod/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:50:52Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-b
spec:
  image: ami-0409b7ddbc59e3222
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: k8s-prod-data-druid-b
  role: Node
  subnets:
  - ap-northeast-2b
  taints:
  - prod/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:50:52Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-c
spec:
  image: ami-0409b7ddbc59e3222
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: k8s-prod-data-druid-c
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:51:35Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-kafka-a
spec:
  image: ami-0409b7ddbc59e3222
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-kafka
    kops.k8s.io/instancegroup: k8s-prod-data-kafka-a
  role: Node
  subnets:
  - ap-northeast-2a
  taints:
  - prod/data-kafka:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:51:35Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-kafka-b
spec:
  image: ami-0409b7ddbc59e3222
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-kafka
    kops.k8s.io/instancegroup: k8s-prod-data-kafka-b
  role: Node
  subnets:
  - ap-northeast-2b
  taints:
  - prod/data-kafka:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:51:35Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-kafka-c
spec:
  image: ami-0409b7ddbc59e3222
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-kafka
    kops.k8s.io/instancegroup: k8s-prod-data-kafka-c
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-kafka:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:51:49Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-process-a
spec:
  image: ami-0409b7ddbc59e3222
  machineType: c5.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: k8s-prod-process-a
  role: Node
  rootVolumeSize: 100
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:51:49Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-process-b
spec:
  image: ami-0409b7ddbc59e3222
  machineType: c5.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: k8s-prod-process-b
  role: Node
  rootVolumeSize: 100
  subnets:
  - ap-northeast-2b

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:51:49Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-process-c
spec:
  image: ami-0409b7ddbc59e3222
  machineType: c5.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: k8s-prod-process-c
  role: Node
  rootVolumeSize: 100
  subnets:
  - ap-northeast-2c

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-01T05:36:36Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: master-ap-northeast-2a
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: c5a.large
  maxSize: 1
  minSize: 1
  role: Master
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-01T05:36:36Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: master-ap-northeast-2b
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: c5a.large
  maxSize: 1
  minSize: 1
  role: Master
  subnets:
  - ap-northeast-2b

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-01T05:36:36Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: master-ap-northeast-2c
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: c5a.large
  maxSize: 1
  minSize: 1
  role: Master
  subnets:
  - ap-northeast-2c
